#include <typeinfo>
#include <Looper.h>
#include <stdlib.h>
#include <stdio.h>
#include "BeComponents.h"
#include "BePropEditors.h"
#include "ZetaComponents.h"

// BCalendarControl ----------------------------------------------------------------------

TBCL_BCalendarControl::TBCL_BCalendarControl(instantiation_info_t *info)
	:	TBCL_BControl(info)
{
}

TBCL_BCalendarControl::~TBCL_BCalendarControl()
{
}

BArchivable *TBCL_BCalendarControl::Instantiate()
{
	return new BCalendarControl(BRect(0,0,0,0), "New BCalendarControl", "New BCalendarControl", NULL);
}

const char *TBCL_BCalendarControl::SupportedClass() const
{
	return typeid(BCalendarControl).name();
}

void TBCL_BCalendarControl::PropertyList(TPropertyRegistrar *propertyRegistrar) const
{
	TBCL_BControl::PropertyList(propertyRegistrar);
}

status_t TBCL_BCalendarControl::SetValue(BArchivable *object, const char *propName, const char *value)
{
	_CAST(BCalendarControl, object, calendarControl);
	status_t status = B_ERROR;
/*	
	if (strcmp(propName, "Default")==0) {
		bool _default;
		status = get_bool(value, &_default);
		if (status == B_OK) calendarControl->MakeDefault(_default);
	} else {*/
		status = TBCL_BControl::SetValue(object, propName, value);
/*	}
*/
	return status;
}

status_t TBCL_BCalendarControl::GetValue(BArchivable *object, const char *propName, BString *value)
{
	_CAST(BCalendarControl, object, calendarControl);
/*	
	if (strcmp(propName, "Default")==0) {
		value->SetTo(calendarControl->IsDefault() ? "True" : "False");
	} else {*/
		TBCL_BControl::GetValue(object, propName, value);
/*	}
*/
	return B_OK;
}

status_t TBCL_BCalendarControl::GetDefaultSize(float *width, float *height)
{
	*width = 180;
	*height = 130;
	return B_OK;
}
