#ifndef _SAMPLECOMPONENTS_H
#define _SAMPLECOMPONENTS_H

#include "BCL.h"
#include "BeComponents.h"
#include "OAEdit.h"

status_t get_enabled(const char *s, bool *value);

// TBCL_TOAEdit

class TBCL_TOAEdit : public TBCL_BTextControl
{
public:
	TBCL_TOAEdit(instantiation_info_t *info);
	~TBCL_TOAEdit();
	BArchivable *Instantiate();
	const char *SupportedClass() const;
	void PropertyList(TPropertyRegistrar *propertyRegistrar) const;
	status_t SetValue(BArchivable *object, const char *propName, const char *value);
	status_t GetValue(BArchivable *object, const char *propName, BString *value);
};

#endif
