#ifndef _LOCKED_LIST_H
#define _LOCKED_LIST_H

#include <List.h>
#include <View.h>


class TLockedList
{
public:
	TLockedList();
	~TLockedList();
	BView *ViewAt(int32 index) const;
	bool AddView(BView *view);
	bool RemoveView(BView *view);
	void MakeEmpty();
	bool HasView(BView *view) const;
	int32 CountHasViews(BList *views) const;
	int32 CountViews() const;
private:
	BList fLockedList;
};

extern TLockedList LockedList;

#endif
