#ifndef _ABOUT_H
#define _ABOUT_H

#include <Window.h>
#include <View.h>
#include <interface/StringView.h>
#include <TextView.h>
#include <ScrollView.h>


class TAboutView : public BView
{
public:
	TAboutView(BRect frame, const char *name);
	~TAboutView();
	void Draw(BRect updateRect);
private:
	BBitmap *fAppIcon;
	BBitmap *fMrBerryIcon;
	BStringView *fTitle;
	BStringView *fVersion;
	BTextView *fInfoText;
	BScrollView *fInfoScrollView;
};

class TAboutWindow : public BWindow
{
public:
	TAboutWindow(BRect frame);
	~TAboutWindow();
private:
	TAboutView *fAboutView;
};

#endif
