#ifndef _APPFEDITORWINDOW_H
#define _APPFEDITORWINDOW_H

#include <View.h>
#include <TextControl.h>
#include <Button.h>
#include <CheckBox.h>
#include <RadioButton.h>
#include <String.h>
#include "ResAddon.h"


// TAppfEditorView

class TAppfEditorView : public BView
{
public:
	TAppfEditorView(BRect frame, const char *name);
	~TAppfEditorView();
};

// TAppfEditorWindow

class TAppfEditorWindow : public TResEditorWindow
{
public:
	TAppfEditorWindow(BRect frame, const char *title, type_code type, TResAddon *addon);
	~TAppfEditorWindow();
	void MessageReceived(BMessage *msg);
	status_t InstantiateFromData(const void *data, ssize_t numBytes);
	void GetData(BMallocIO *data);
private:
	TAppfEditorView *fAppfEditorView;
	BRadioButton *fSingleLaunch;
	BRadioButton *fMultipleLaunch;
	BRadioButton *fExclusiveLaunch;
	BCheckBox *fArgvOnly;
	BCheckBox *fBackgroundApp;
	BButton *fApplyButton;
	BButton *fCancelButton;
	type_code fType;
	TResAddon *fAddon;
};


#endif
