#ifndef _BCLVIEW_H
#define _BCLVIEW_H

#include <View.h>
#include <List.h>
#include <PictureButton.h>

#include "BCLPictureButton.h"


class TBCLView : public BView
{
public:
	TBCLView(BRect frame, const char *name);
	~TBCLView();
	void AttachedToWindow();
	void MessageReceived(BMessage *msg);
	
	void AddButton(BPictureButton *button);
	TBCLPictureButton *SelectedButton() const;
	void Deselect();
	float Width() const;
	void Align();
	
private:
	BList fButtonList;
};


#endif
