#ifndef _BPNTEDITORWINDOW_H
#define _BPNTEDITORWINDOW_H

#include <View.h>
#include <TextControl.h>
#include <Button.h>
#include <String.h>
#include "ResAddon.h"


// TBpntEditorView

class TBpntEditorView : public BView
{
public:
	TBpntEditorView(BRect frame, const char *name);
	~TBpntEditorView();
};

// TBpntEditorWindow

class TBpntEditorWindow : public TResEditorWindow
{
public:
	TBpntEditorWindow(BRect frame, const char *title, type_code type, TResAddon *addon);
	~TBpntEditorWindow();
	void MessageReceived(BMessage *msg);
	status_t InstantiateFromData(const void *data, ssize_t numBytes);
	void GetData(BMallocIO *data);
private:
	TBpntEditorView *fBpntEditorView;
	BTextControl *fPointX;
	BTextControl *fPointY;
	BButton *fApplyButton;
	BButton *fCancelButton;
	type_code fType;
	BString fData;
	TResAddon *fAddon;
};


#endif
