#ifndef _CSTREDITORWINDOW_H
#define _CSTREDITORWINDOW_H

#include <View.h>
#include <TextControl.h>
#include <Button.h>
#include <String.h>
#include "ResAddon.h"


// TCstrEditorView

class TCstrEditorView : public BView
{
public:
	TCstrEditorView(BRect frame, const char *name);
	~TCstrEditorView();
};

// TCstrEditorWindow

class TCstrEditorWindow : public TResEditorWindow
{
public:
	TCstrEditorWindow(BRect frame, const char *title, type_code type, TResAddon *addon);
	~TCstrEditorWindow();
	void MessageReceived(BMessage *msg);
	status_t InstantiateFromData(const void *data, ssize_t numBytes);
	void GetData(BMallocIO *data);
private:
	TCstrEditorView *fCstrEditorView;
	BTextView *fCstrEditorTextView;
	BButton *fApplyButton;
	BButton *fCancelButton;
	type_code fType;
	BString fData;
	TResAddon *fAddon;
};

#endif
