#include "BCL.h"
#include "BeComponents.h"
#include "BePropEditors.h"

// prototype
extern "C" _EXPORT void instantiate_objects(
		instantiation_info_t *info, register_component *RegisterComponent);
extern "C" _EXPORT TPropEditor *register_prop_editors(const type_info *info, propeditor_info_t *peInfo);


extern "C" _EXPORT void instantiate_objects(
		instantiation_info_t *info, register_component *RegisterComponent)
{
	RegisterComponent(NULL, new TBCL_BArchivable(info));
	RegisterComponent(NULL, new TBCL_BHandler(info));
	RegisterComponent(NULL, new TBCL_BControl(info));
	RegisterComponent(NULL, new TBCL_BMenuItem(info));
	RegisterComponent(NULL, new TBCL_BSeparatorItem(info));
	RegisterComponent(NULL, new TBCL_BMenu(info));
	RegisterComponent("BeKits", new TBCL_BView(info));
	RegisterComponent("BeKits", new TBCL_BMenuBar(info));
	RegisterComponent("BeKits", new TBCL_BMenuField(info));
	RegisterComponent("BeKits", new TBCL_BButton(info));
	RegisterComponent("BeKits", new TBCL_BPictureButton(info));
	RegisterComponent("BeKits", new TBCL_BStringView(info));
	RegisterComponent("BeKits", new TBCL_BBox(info));
	RegisterComponent("BeKits", new TBCL_BTabView(info));
	RegisterComponent("BeKits", new TBCL_BCheckBox(info));
	RegisterComponent("BeKits", new TBCL_BRadioButton(info));
	RegisterComponent("BeKits", new TBCL_BColorControl(info));
	RegisterComponent("BeKits", new TBCL_BTextControl(info));
	RegisterComponent("BeKits", new TBCL_BTextView(info));
	RegisterComponent("BeKits", new TBCL_BSlider(info));
	RegisterComponent("BeKits", new TBCL_BListView(info));
	RegisterComponent("BeKits", new TBCL_BOutlineListView(info));
	RegisterComponent("BeKits", new TBCL_BStatusBar(info));
	RegisterComponent("BeKits", new TBCL_BScrollBar(info));
	RegisterComponent("BeKits", new TBCL_BScrollBarH(info));
	RegisterComponent("BeKits", new TBCL_BScrollView(info));
	RegisterComponent("BeKits", new TBCL_BScrollView_BListView(info));
}

extern "C" _EXPORT TPropEditor *register_prop_editors(const type_info *info, propeditor_info_t *peInfo)
{
	REGISTER_PROPEDITOR(TColorEditor, info, peInfo);
	REGISTER_PROPEDITOR(TFontEditor, info, peInfo);
	REGISTER_PROPEDITOR(TMenuEditor, info, peInfo);
	REGISTER_PROPEDITOR(TTabEditor, info, peInfo);
	REGISTER_PROPEDITOR(TTextViewEditor, info, peInfo);
	return NULL;
}
