#include <stdio.h>
#include "LockedList.h"


TLockedList LockedList;


TLockedList::TLockedList()
{
}

TLockedList::~TLockedList()
{
}

BView *TLockedList::ViewAt(int32 index) const
{
	return (BView *)fLockedList.ItemAt(index);
}

bool TLockedList::AddView(BView *view)
{
	return fLockedList.AddItem(view);
}

bool TLockedList::RemoveView(BView *view)
{
	for(int32 i=0; i < view->CountChildren(); i++) {
		BView *child = view->ChildAt(i);
		this->RemoveView(child);
	}
	return fLockedList.RemoveItem(view);
}

void TLockedList::MakeEmpty()
{
	fLockedList.MakeEmpty();
}

bool TLockedList::HasView(BView *view) const
{
	return fLockedList.HasItem(view);
}

int32 TLockedList::CountHasViews(BList *views) const
{
	int count = 0;
	for(int32 i=0; i < views->CountItems(); i++) {
		count += (fLockedList.HasItem(views->ItemAt(i))) ? 1 : 0;
	}
	return count;
}

int32 TLockedList::CountViews() const
{
	return fLockedList.CountItems();
}
