#include "BCL.h"
#include "SampleComponents.h"
#include "BePropEditors.h"

extern "C" _EXPORT void instantiate_objects(
		instantiation_info_t *info, register_component *RegisterComponent);
extern "C" _EXPORT TPropEditor *register_prop_editors(const type_info *info, propeditor_info_t *peInfo);


void instantiate_objects(
		instantiation_info_t *info, register_component *RegisterComponent)
{
	RegisterComponent("Sample", new TBCL_TOAEdit(info));
}

TPropEditor *register_prop_editors(const type_info *info, propeditor_info_t *peInfo)
{
	REGISTER_PROPEDITOR(TColorEditor, info, peInfo);
	return NULL;
}
