#ifndef _BCLPICTUREBUTTON_H
#define _BCLPICTUREBUTTON_H

#include <Bitmap.h>
#include <View.h>
#include <Picture.h>
#include <PictureButton.h>
#include <String.h>
#include "SimplePictureButton.h"
#include "Berry.h"

BPicture *BmpToPicture(BBitmap *bmp, bool onEffect);

class TBCLPictureButton : public BPictureButton
{
public:
	TBCLPictureButton(
		const char *name, const char *page,
		BPicture *off, BPicture *on, TBerryComponentLibrary *bcl);
	~TBCLPictureButton();
	static void MakeOnOffPicture(BBitmap *bitmap, BPicture **on, BPicture **off);
	
	BString Page;
	TBerryComponentLibrary *BCL() const { return fBCL; };
	
	void MouseDown(BPoint point);
	
private:
	TBerryComponentLibrary *fBCL;
};


#endif
