#ifndef _EDITORWINDOW_H
#define _EDITORWINDOW_H

#include <View.h>
#include <TextControl.h>
#include <Button.h>
#include <String.h>
#include "ResAddon.h"


// TEditorView

class TEditorView : public BView
{
public:
	TEditorView(BRect frame, const char *name);
	~TEditorView();
};

// TEditorWindow

class TEditorWindow : public TResEditorWindow
{
public:
	TEditorWindow(BRect frame, const char *title, type_code type, TResAddon *addon);
	~TEditorWindow();
	void MessageReceived(BMessage *msg);
	status_t InstantiateFromData(const void *data, ssize_t numBytes);
	void GetData(BMallocIO *data);
private:
	TEditorView *fEditorView;
	BTextControl *fEditorTextControl;
	BButton *fApplyButton;
	BButton *fCancelButton;
	type_code fType;
	BString fData;
	TResAddon *fAddon;
};


#endif
