//------------------------------------------------------------------------------
//	File Name:		SimplePictureButton.h
//	Author:			momoziro (momoziro@be-in.org)
//	Description:		
//------------------------------------------------------------------------------

#ifndef _SIMPLEPICTUREBUTTON_H
#define _SIMPLEPICTUREBUTTON_H

// Standard Includes -----------------------------------------------------------

// System Includes -------------------------------------------------------------
#include <PictureButton.h>

// Project Includes ------------------------------------------------------------

// Local Includes --------------------------------------------------------------

// Local Defines ---------------------------------------------------------------


class TSimplePictureButton : public BPictureButton
{
public:
	TSimplePictureButton(BRect frame, const char *name,
			const char *offBmpResName, uint32 offBmpResType,
			const char *onBmpResName, uint32 onBmpResType,
			BMessage *message, uint32 behavior = B_ONE_STATE_BUTTON,
			uint32 resizingMode = B_FOLLOW_LEFT | B_FOLLOW_TOP,
			uint32 flags = B_WILL_DRAW | B_NAVIGABLE
		);
	
	static BPicture *ResToPicture(BRect frame, const char *resName, uint32 resType);
private:
};


#endif
